using Edu.Common.Plugin;
using System;
using System.Collections.Generic;
using System.Text;

namespace Edu.Common.Enum.Course
{
    /// <summary>
    /// 退课状态枚举
    /// </summary>
   public enum BackClassAuditStatusEnum
    { 
        /// <summary>
        /// 审核中
        /// </summary>
        [EnumField("审核中")]
        InReview = 1,
        /// <summary>
        /// 通过 
        /// </summary>
        [EnumField("通过")]
        Pass = 2,
        /// <summary>
        /// 驳回 
        /// </summary>
        [EnumField("驳回")]
        Rejected = 3,
        /// <summary>
        /// 作废
        /// </summary>
        [EnumField("作废")]
        Delete = 4,
    }

    /// <summary>
    /// 我的退课单据切换条件
    /// </summary>
    public enum BackClassConditionEnum
    {
        /// <summary>
        ///我发起的
        /// </summary>
        [EnumField("我发起的")]
        Launch = 1,
        /// <summary>
        /// 我审批的
        /// </summary>
        [EnumField("我审批的")]
        Agree = 2,
        /// <summary>
        /// 待我审批
        /// </summary>
        [EnumField("待我审批")]
        WaitAgree = 3,
        /// <summary>
        /// 抄送给我的
        /// </summary>
        [EnumField("抄送给我的")]
        CarbonCopy = 4,

        /// <summary>
        ///全部
        /// </summary>
        [EnumField("全部")]
        ALL = 5,
        /// <summary>
        /// 我作废的
        /// </summary>
        [EnumField("我作废的")]
        Delete = 6,
        /// <summary>
        /// 被驳回的
        /// </summary>
        [EnumField("被驳回的")]
        Refund = 7,
    }
}